# Modelica Feed Drive Library
The objective of the Feed Drive Library is to model linear axes in machine tools and production machines. Therefore, the library contains key elements such as converter, motor, gear, clutch etc. 
The models are designed in a way so that they can easily be parameterized with typical vendor datasheets. Thus, we defined a simpler motor model in comparison to the models in electric machine in the Modelica Standard Library. Further, the models do not only contain the behavior equations, but also comprise the metrics and requirements that are important to choose adequate components for designing feed drive axes. These requirements can also be used for system optimization, e.g. with OMOptim.
The library is based on basic elements from the Standard Library and from the Optimization Library from Dymola. Regarding the Standard Library these are icons and adapted models. Regarding the Optimization Library we had a look at the criteria models (mean, max, etc) and changed these models for our specific purposes.

<br \><br \>
<h4>
Disclaimer
</h4>
No liability can be accepted for any errors or omissions.
<h4>
Reference
</h4>
When using the library please cite 
&Ouml;zdemir, D.; Motschke, T.; Herfs, W.; Brecher, C.: Modelica Library for Feed Drive Systems. In: 11th International Modelica Conference, Paris, 2015, pp. 117-125
<h4>
License
</h4>
This libary is licensed under the MIT.
<h4>
Contact
</h4>
Laboratory for Machine Tools and Production Engineering (WZL)<br \>
RWTH Aachen University<br \>
<a href='http://www.wzl.rwth-aachen.de' >Website of WZL Aachen</a>
<br \>
E-Mail: denis.oezdemir@rwth-aachen.de
<h4>
Acknowledgement
</h4>
We gratefully acknowledge funding from the German Research Foundation (DFG) in the project &ldquo;Optimierung des Systementwurfs von Maschinen und Anlagen auf Basis komponentenorientierter Verhaltensmodelle&rdquo;
</html>
